package com.gyee.wisdom.dao.alarm;


import com.gyee.wisdom.common.data.alarm.Alertsnap;
import com.gyee.wisdom.common.data.alarm.AlertsnapNew;

import java.util.List;

public interface AlarmsnapNewDao {
    public List<AlertsnapNew> findAll();
    public AlertsnapNew findById(String id);
    public void  deletebyid(String id);
    public AlertsnapNew save(AlertsnapNew Alertsnap);
    public void save(List<AlertsnapNew> Alertsnaps);
    public int  countById(Long id);
    public AlertsnapNew findByWindturbineIdAndAlertValue(String windturbineid, int alertvalue);
    public AlertsnapNew findByStationIdAndAlertValue(String stationId, int alertvalue);
    public AlertsnapNew findByTestingpointkey(String testingpointkey);

}
